/*
 * Copyright 2013 Michael Osipov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.michaelo.tomcat.extras.utils;

import org.apache.catalina.Context;
import org.apache.commons.lang3.StringUtils;

/**
 * Catalina context related utility methods.
 *
 * @version $Id: ContextUtils.java 3 2013-02-09 22:05:41Z michael-o $
 */
public class ContextUtils {

	public static String getPath(Context context) {
		String path = context.getServletContext().getContextPath();
		if (StringUtils.isEmpty(path))
			path = "/";

		return path;
	}

	public static String getName(Context context) {
		String name = context.getName();
		if (StringUtils.isEmpty(name))
			name = "ROOT";
		else
			name = StringUtils.remove(name, "/");

		return name;
	}

}
